Package com.google.protobuf

# Class DescriptorProtos.FeatureSet.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.FeatureSet.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.FeatureSet.Builder>
com.google.protobuf.GeneratedMessage.ExtendableBuilder<DescriptorProtos.FeatureSet,DescriptorProtos.FeatureSet.Builder>
com.google.protobuf.DescriptorProtos.FeatureSet.Builder

All Implemented Interfaces:
  `DescriptorProtos.FeatureSetOrBuilder`, `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FeatureSet>`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.FeatureSet`

public static final class DescriptorProtos.FeatureSet.Builder extends GeneratedMessage.ExtendableBuilder<DescriptorProtos.FeatureSet,DescriptorProtos.FeatureSet.Builder> implements DescriptorProtos.FeatureSetOrBuilder
Protobuf type `google.protobuf.FeatureSet`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FeatureSet`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.FeatureSet`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.FeatureSet.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.FeatureSet.Builder`
`clearEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`clearFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`clearJsonFormat()`
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`clearMessageEncoding()`
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`clearRepeatedFieldEncoding()`
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`clearUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`DescriptorProtos.FeatureSet.EnumType`
`getEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.FieldPresence`
`getFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.JsonFormat`
`getJsonFormat()`
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.MessageEncoding`
`getMessageEncoding()`
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.RepeatedFieldEncoding`
`getRepeatedFieldEncoding()`
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Utf8Validation`
`getUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasJsonFormat()`
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasMessageEncoding()`
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasRepeatedFieldEncoding()`
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.FeatureSet.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.FeatureSet.Builder`
`mergeFrom(DescriptorProtos.FeatureSet other)`
`DescriptorProtos.FeatureSet.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.FeatureSet.Builder`
`setEnumType(DescriptorProtos.FeatureSet.EnumType value)`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`setFieldPresence(DescriptorProtos.FeatureSet.FieldPresence value)`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`setJsonFormat(DescriptorProtos.FeatureSet.JsonFormat value)`
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`setMessageEncoding(DescriptorProtos.FeatureSet.MessageEncoding value)`
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`setRepeatedFieldEncoding(DescriptorProtos.FeatureSet.RepeatedFieldEncoding value)`
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Builder`
`setUtf8Validation(DescriptorProtos.FeatureSet.Utf8Validation value)`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableBuilder

`addExtension, addRepeatedField, clearExtension, clearField, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtensionCount, getField, getFieldBuilder, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, hasExtension, hasField, mergeExtensionFields, newBuilderForField, parseUnknownField, setExtension, setExtension, setField, setRepeatedField`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`clearOneof, clone, getOneofFieldDescriptor, getParentForChildren, getUnknownFields, getUnknownFieldSetBuilder, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, onBuilt, onChanged, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSet.Builder>`

### clear

public DescriptorProtos.FeatureSet.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.ExtendableBuilder<DescriptorProtos.FeatureSet,DescriptorProtos.FeatureSet.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSet.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.FeatureSet getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FeatureSet>`
Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.FeatureSet build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.FeatureSet buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.FeatureSet.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FeatureSet.Builder>`

### mergeFrom

public DescriptorProtos.FeatureSet.Builder mergeFrom(DescriptorProtos.FeatureSet other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.ExtendableBuilder<DescriptorProtos.FeatureSet,DescriptorProtos.FeatureSet.Builder>`

### mergeFrom

public DescriptorProtos.FeatureSet.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FeatureSet.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasFieldPresence

public boolean hasFieldPresence()
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasFieldPresence` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  Whether the fieldPresence field is set.

### getFieldPresence

public DescriptorProtos.FeatureSet.FieldPresence getFieldPresence()
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getFieldPresence` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  The fieldPresence.

### setFieldPresence

public DescriptorProtos.FeatureSet.Builder setFieldPresence(DescriptorProtos.FeatureSet.FieldPresence value)
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Parameters:
  `value` - The fieldPresence to set.
Returns:
  This builder for chaining.

### clearFieldPresence

public DescriptorProtos.FeatureSet.Builder clearFieldPresence()
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  This builder for chaining.

### hasEnumType

public boolean hasEnumType()
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasEnumType` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  Whether the enumType field is set.

### getEnumType

public DescriptorProtos.FeatureSet.EnumType getEnumType()
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getEnumType` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  The enumType.

### setEnumType

public DescriptorProtos.FeatureSet.Builder setEnumType(DescriptorProtos.FeatureSet.EnumType value)
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Parameters:
  `value` - The enumType to set.
Returns:
  This builder for chaining.

### clearEnumType

public DescriptorProtos.FeatureSet.Builder clearEnumType()
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  This builder for chaining.

### hasRepeatedFieldEncoding

public boolean hasRepeatedFieldEncoding()
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasRepeatedFieldEncoding` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  Whether the repeatedFieldEncoding field is set.

### getRepeatedFieldEncoding

public DescriptorProtos.FeatureSet.RepeatedFieldEncoding getRepeatedFieldEncoding()
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getRepeatedFieldEncoding` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  The repeatedFieldEncoding.

### setRepeatedFieldEncoding

public DescriptorProtos.FeatureSet.Builder setRepeatedFieldEncoding(DescriptorProtos.FeatureSet.RepeatedFieldEncoding value)
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Parameters:
  `value` - The repeatedFieldEncoding to set.
Returns:
  This builder for chaining.

### clearRepeatedFieldEncoding

public DescriptorProtos.FeatureSet.Builder clearRepeatedFieldEncoding()
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  This builder for chaining.

### hasUtf8Validation

public boolean hasUtf8Validation()
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasUtf8Validation` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  Whether the utf8Validation field is set.

### getUtf8Validation

public DescriptorProtos.FeatureSet.Utf8Validation getUtf8Validation()
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getUtf8Validation` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  The utf8Validation.

### setUtf8Validation

public DescriptorProtos.FeatureSet.Builder setUtf8Validation(DescriptorProtos.FeatureSet.Utf8Validation value)
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Parameters:
  `value` - The utf8Validation to set.
Returns:
  This builder for chaining.

### clearUtf8Validation

public DescriptorProtos.FeatureSet.Builder clearUtf8Validation()
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  This builder for chaining.

### hasMessageEncoding

public boolean hasMessageEncoding()
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasMessageEncoding` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  Whether the messageEncoding field is set.

### getMessageEncoding

public DescriptorProtos.FeatureSet.MessageEncoding getMessageEncoding()
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getMessageEncoding` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  The messageEncoding.

### setMessageEncoding

public DescriptorProtos.FeatureSet.Builder setMessageEncoding(DescriptorProtos.FeatureSet.MessageEncoding value)
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Parameters:
  `value` - The messageEncoding to set.
Returns:
  This builder for chaining.

### clearMessageEncoding

public DescriptorProtos.FeatureSet.Builder clearMessageEncoding()
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  This builder for chaining.

### hasJsonFormat

public boolean hasJsonFormat()
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `hasJsonFormat` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  Whether the jsonFormat field is set.

### getJsonFormat

public DescriptorProtos.FeatureSet.JsonFormat getJsonFormat()
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Specified by:
  `getJsonFormat` in interface `DescriptorProtos.FeatureSetOrBuilder`
Returns:
  The jsonFormat.

### setJsonFormat

public DescriptorProtos.FeatureSet.Builder setJsonFormat(DescriptorProtos.FeatureSet.JsonFormat value)
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Parameters:
  `value` - The jsonFormat to set.
Returns:
  This builder for chaining.

### clearJsonFormat

public DescriptorProtos.FeatureSet.Builder clearJsonFormat()
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  This builder for chaining.